/**
   Bojan Nikolic <b.nikolic@mrao.cam.ac.uk>, <bojan@bnikolic.co.uk>
   Initial version October 2011

   \file almaabs_c.cpp

   C-language bindings to the retrieval of pahse correction
   coefficients from absolute temperatures   
*/

#include "almaabs_c.h"
#include "almaabs.hpp"
#include "almaresults.hpp"

  void almaabs_ret(const ALMAAbsInput *inp,
    size_t n,
    ALMARes_Basic *out)
  {
    
    LibAIR::ALMAAbsInpL inpl;
    for(size_t i=0; i<n; ++i)
      inpl.push_back(inp[i]);

    boost::ptr_list<LibAIR::ALMAResBase>rr(LibAIR::doALMAAbsRet(inpl).release());
    boost::ptr_list<LibAIR::ALMAResBase>::iterator ii=rr.begin();
    for(size_t i=0; i<n; ++i)
    {
      ALMARes_Basic b(dynamic_cast<ALMARes_Basic&>((*ii)));
      ++ii;
      out[i]=b;
    }
  }
